import request from '@/utils/request'

// 查询质量月报S4501列表
export function listS4501(query) {
  return request({
    url: '/production/s4501/list',
    method: 'get',
    params: query
  })
}

// 查询质量月报S4501详细
export function getS4501(id) {
  return request({
    url: '/production/s4501/' + id,
    method: 'get'
  })
}

// 新增质量月报S4501
export function addS4501(data) {
  return request({
    url: '/production/s4501',
    method: 'post',
    data: data
  })
}

// 修改质量月报S4501
export function updateS4501(data) {
  return request({
    url: '/production/s4501',
    method: 'put',
    data: data
  })
}

// 删除质量月报S4501
export function delS4501(id) {
  return request({
    url: '/production/s4501/' + id,
    method: 'delete'
  })
}

// 导出质量月报S4501
export function exportS4501(query) {
  return request({
    url: '/production/s4501/export',
    method: 'get',
    params: query
  })
}